This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 536606 (RHQ-939)

Summary: clean up the server's log4j xml file - make more categories
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core ServerAssignee: John Mazzitelli <mazz>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedKeywords: Improvement
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-939
Whiteboard:
Fixed In Version: 1.1 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description John Mazzitelli 2008-10-03 14:16:00 EDT
I like the way JbossAS hot-deploys new log4j configuration (edit jboss-log4j.xml and the chages are picked up).

Useful for debugging and customer problem diagnosis.

We should edit our out of box log4j so its easily editable by customers - create bunches of categories that we think would be useful during debugging phases so a user just needs to go in and edit one line (change INFO to DEBUG for example) to enable debug messages.
Comment 1 John Mazzitelli 2008-10-05 18:11:06 EDT
revrev1707 has the new log4j.xml stuff.  just mainly added a bunch of commented out categories
Comment 2 John Mazzitelli 2008-10-05 18:33:54 EDT
jboss-log4j.xml should now be easier (from a customer support standpoint) to get people to enable targeted debug messages.

First, if you want any kind of debug messages, you must ensure you flip the root category to "DEBUG". You have to do this always, no matter what category(ies) you want to enable debug messages for (this is how its always been, the recent changes didn't change this fact).

Now, if you want to enable full RHQ debug messages, uncomment the "org.rhq" category.  Only RHQ categories will emit debug messages.  If we want ALL third party log messages, uncomment the appropriate "org", "com" and/or "net" categories.

If a customer has a specific problem that we need to debug, rather than flood the customer's log file with tons of unrelated debug messages, don't uncomment the "org.rhq" category - instead, we can ask the customer to uncomment one or more specific categories that are currently commented in this file.  For example, for alert cache issues, we can just uncomment the ...server.alert category.
Comment 3 Greg Hinkle 2008-10-06 18:57:13 EDT
Mazz did implement this minor change
Comment 4 John Mazzitelli 2008-10-06 19:00:15 EDT
To enable debug messages in the server you must set the root category to DEBUG.

Then, you uncomment those categories you want to debug.  If you want to enable debug for the _entire_ server, uncomment:

   <category name="org.rhq">
      <priority value="DEBUG"/>
   </category>

If you only want to debug a portion of the server, you uncomment the category(ies) that you want to debug - there is a series of commented categories now in the log4j.xml that makes it easy to debug subsystems and portions of subsystems.
Comment 5 Red Hat Bugzilla 2009-11-10 16:20:01 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-939